weka.core.pmml.jaxbbindings

## Class Extension

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Extension

-     public class Extension
      extends java.lang.Object

  Java class for Extension element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Extension">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <any/>
               </sequence>
               <attribute name="extender" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `getContent()` Gets the value of the content property.
    `java.lang.String` | `getExtender()` Gets the value of the extender property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setExtender(java.lang.String value)` Sets the value of the extender property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Extension

          public Extension()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.lang.Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `String`

    - #### getExtender

          public java.lang.String getExtender()

      Gets the value of the extender property.
      Returns:
        possible object is `String`

    - #### setExtender

          public void setExtender(java.lang.String value)

      Sets the value of the extender property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`